Utility Functions
3
LIBEDATASERVER Library

# Utility Functions

Miscellaneous utility functions for evolution-data-server.

## Synopsis

    struct              tm;
    int                 e_util_mkdir_hier                   (const char *path,
                                                             mode_t mode);
    gchar*              e_util_strstrcase                   (const gchar *haystack,
                                                             const gchar *needle);
    gchar*              e_util_unicode_get_utf8             (const gchar *text,
                                                             gunichar *out);
    const gchar*        e_util_utf8_strstrcase              (const gchar *haystack,
                                                             const gchar *needle);
    const gchar*        e_util_utf8_strstrcasedecomp        (const gchar *haystack,
                                                             const gchar *needle);
    int                 e_util_utf8_strcasecmp              (const gchar *s1,
                                                             const gchar *s2);
    guint64             e_util_pthread_id                   (pthread_t t);
    void                e_filename_make_safe                (gchar *string);
    size_t              e_utf8_strftime                     (char *s,
                                                             size_t max,
                                                             const char *fmt,
                                                             const struct tm *tm);
    size_t              e_strftime                          (char *s,
                                                             size_t max,
                                                             const char *fmt,
                                                             const struct tm *tm);
    const char*         e_util_get_prefix                   (void);
    const char*         e_util_get_cp_prefix                (void);
    const char*         e_util_get_localedir                (void);
    char*               e_util_replace_prefix               (const char *configure_time_prefix,
                                                             const char *runtime_prefix,
                                                             const char *configure_time_path);

## Description

## Details

### struct tm

    struct tm;

### e_util_mkdir_hier ()

    int                 e_util_mkdir_hier                   (const char *path,
                                                             mode_t mode);

`e_util_mkdir_hier` is deprecated and should not be used in newly-written code.

`path` :

`mode` :

Returns :

### e_util_strstrcase ()

    gchar*              e_util_strstrcase                   (const gchar *haystack,
                                                             const gchar *needle);

`haystack` :

`needle` :

Returns :

### e_util_unicode_get_utf8 ()

    gchar*              e_util_unicode_get_utf8             (const gchar *text,
                                                             gunichar *out);

`text` :

`out` :

Returns :

### e_util_utf8_strstrcase ()

    const gchar*        e_util_utf8_strstrcase              (const gchar *haystack,
                                                             const gchar *needle);

`haystack` :

`needle` :

Returns :

### e_util_utf8_strstrcasedecomp ()

    const gchar*        e_util_utf8_strstrcasedecomp        (const gchar *haystack,
                                                             const gchar *needle);

`haystack` :

`needle` :

Returns :

### e_util_utf8_strcasecmp ()

    int                 e_util_utf8_strcasecmp              (const gchar *s1,
                                                             const gchar *s2);

`s1` :

`s2` :

Returns :

### e_util_pthread_id ()

    guint64             e_util_pthread_id                   (pthread_t t);

`t` :

Returns :

### e_filename_make_safe ()

    void                e_filename_make_safe                (gchar *string);

`string` :

### e_utf8_strftime ()

    size_t              e_utf8_strftime                     (char *s,
                                                             size_t max,
                                                             const char *fmt,
                                                             const struct tm *tm);

`s` :

`max` :

`fmt` :

`tm` :

Returns :

### e_strftime ()

    size_t              e_strftime                          (char *s,
                                                             size_t max,
                                                             const char *fmt,
                                                             const struct tm *tm);

`s` :

`max` :

`fmt` :

`tm` :

Returns :

### e_util_get_prefix ()

    const char*         e_util_get_prefix                   (void);

Returns :

### e_util_get_cp_prefix ()

    const char*         e_util_get_cp_prefix                (void);

Returns :

### e_util_get_localedir ()

    const char*         e_util_get_localedir                (void);

Returns :

### e_util_replace_prefix ()

    char*               e_util_replace_prefix               (const char *configure_time_prefix,
                                                             const char *runtime_prefix,
                                                             const char *configure_time_path);

`configure_time_prefix` :

`runtime_prefix` :

`configure_time_path` :

Returns :